/// <reference types="node" />
export declare type Keypair = {
    publicKey: string;
    privateKey: string;
};
export declare type AccountData = {
    familySeed: string;
    address: string;
    keypair: Keypair;
};
export default class Account {
    private secret;
    private account;
    constructor(SecretNumbers?: Array<string> | string | Buffer);
    getSecret(): Array<string>;
    getSecretString(): string;
    getAddress(): string;
    getFamilySeed(): string;
    getKeypair(): Keypair;
    toString(): string;
}
